Page MenuHomePhabricator

Add "Delete associated talk page" option to action=delete
Closed, ResolvedPublic2 Estimated Story PointsFeature

Description

In the action=delete form there should be a checkbox that allows the user to delete the associated talk page of non-talk pages.

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
β€’ eprodromou lowered the priority of this task from Medium to Low.Nov 26 2019, 4:09 PM

Although this feature seems relatively easy and valuable, it's been sitting in our queue for almost 10 years. It makes sense for us in CPT to see the flag changed. However, we think that should be decoupled from a complete re-architecture of the deletion process, which is a conversation that should probably have its own ticket and/or RFC.

Ammarpad raised the priority of this task from Low to Medium.

Change 605433 had a related patch set uploaded (by Ammarpad; owner: Ammarpad):
[mediawiki/core@master] WIP: Allow deleting associated page from deletion interface

https://gerrit.wikimedia.org/r/605433

I will finish and put this for review after the branch cut.

AlexisJazz added a subscriber: AlexisJazz.

I will finish and put this for review after the branch cut.

I just looked this up because I need something related. What a coincidence it is just now being worked on.

I need this in the API though, and for undeletion: T263209. I also opened a ticket for the same feature on Special:Undelete: T263211.

Change 605433 abandoned by Ammarpad:
[mediawiki/core@master] WIP: Allow deleting associated page from deletion interface

Reason:
A lot of things have changed, needs new strategy

https://gerrit.wikimedia.org/r/605433

Should this thing be moved to high priority, per this proposal?

Should this thing be moved to high priority, per this proposal?

No.

https://www.mediawiki.org/wiki/Phabricator/Project_management#Priority_levels

High – Someone is working or planning to work on this task soon.

Maybe if it wins and gets approved.

Ammarpad added a subscriber: Ammarpad.
Ammarpad removed a subscriber: Ammarpad.
Daimona changed the subtype of this task from "Task" to "Feature Request".Sep 2 2021, 12:12 AM
Daimona added a subscriber: Daimona.

Change 715954 had a related patch set uploaded (by Daimona Eaytoy; author: Daimona Eaytoy):

[mediawiki/core@master] DeletePage: add option to delete the associated talk page

https://gerrit.wikimedia.org/r/715954

Change 715954 merged by jenkins-bot:

[mediawiki/core@master] DeletePage: add option to delete the associated talk page

https://gerrit.wikimedia.org/r/715954

Change 741717 had a related patch set uploaded (by Dmaza; author: Daimona Eaytoy):

[mediawiki/core@master] DeleteAction: Add "Delete associated talk page" option to the form

https://gerrit.wikimedia.org/r/741717

Change 741717 merged by jenkins-bot:

[mediawiki/core@master] DeleteAction: Add "Delete associated talk page" option to the form

https://gerrit.wikimedia.org/r/741717

dom_walden added a subscriber: dom_walden.

I have tested the new "Delete associated talk page" checkbox when deleting via the UI. I only did relatively basic tests as a lot has been tested in the API portion of this work.

I have tested deleting and suppressing files (+ their respective file_talk pages) and user pages (+ user_talk pages).

I also tested that I could not delete if I am blocked from the talk page.

I checked logstash for any errors.

Test environment: https://en.wikipedia.beta.wmflabs.org MediaWiki 1.39.0-alpha (108cd5b) 11:35, 19 April 2022.